Pular para o conteúdo principal
GET
/
api
/
v1
/
llm
/
evals
/
runs
/
{run_id}
/
samples
Python (SDK)
from meetkai_mka1 import SDK


with SDK(
    bearer_auth="<YOUR_BEARER_TOKEN_HERE>",
) as sdk:

    res = sdk.llm.evals.list_samples(run_id="eval_run_aa87e2b1112a455b8deabed784372198", limit=100)

    # Handle response
    print(res)
{
  "object": "<unknown>",
  "data": [
    {
      "id": "<string>",
      "object": "<unknown>",
      "run_id": "<string>",
      "task_id": "<string>",
      "model": "<string>",
      "sample_index": 0,
      "dataset_row": {},
      "prompt": "<string>",
      "target": "<string>",
      "response_id": "<string>",
      "output_text": "<string>",
      "extracted_output": "<string>",
      "scores": {},
      "judge": {},
      "error": {},
      "created_at": 0,
      "started_at": 0,
      "completed_at": 0
    }
  ],
  "has_more": true,
  "first_id": "<string>",
  "last_id": "<string>"
}

Autorizações

Authorization
string
header
obrigatório

Gateway auth: send Authorization: Bearer <mka1-api-key>. For multi-user server-side integrations, you can also send X-On-Behalf-Of: <external-user-id>.

Cabeçalhos

X-On-Behalf-Of
string

Optional external end-user identifier forwarded by the API gateway.

Parâmetros de caminho

run_id
string
obrigatório

Parâmetros de consulta

after
string
limit
integer
padrão:100
Intervalo obrigatório: 1 <= x <= 500
task_id
string
model
string
status
enum<string>
Opções disponíveis:
queued,
generating,
ready_to_score,
scoring,
running,
completed,
failed

Resposta

200 - application/json

OK

object
any
obrigatório
data
object[]
obrigatório
has_more
boolean
obrigatório
first_id
string
last_id
string